Support » Plugin: WPFront Notification Bar » wpcli compatibility

  • Hi,
    would it be possible to change this line to take into account when running in wp-cli context? Currently it’s making wp-cli throw errors.

    
    Index: wp-content/plugins/wpfront-notification-bar/classes/class-wpfront-notification-bar.php
    <+>UTF-8
    ===================================================================
    --- wp-content/plugins/wpfront-notification-bar/classes/class-wpfront-notification-bar.php	(revision 704e288bde3444f3a3769d37d0b45636f4595e28)
    +++ wp-content/plugins/wpfront-notification-bar/classes/class-wpfront-notification-bar.php	(revision 08c6be6481c31bfb8696f561c9b284d014f2784d)
    @@ -59,7 +59,7 @@
     
             public function init() {
                 //for landing page tracking
    -            if (!isset($_COOKIE[self::COOKIE_LANDINGPAGE])) {
    +            if (!isset($_COOKIE[self::COOKIE_LANDINGPAGE]) && !( defined( 'WP_CLI' ) && WP_CLI )) {
                     setcookie(self::COOKIE_LANDINGPAGE, 1);
                 }
             }
    
    
Viewing 1 replies (of 1 total)
Viewing 1 replies (of 1 total)
  • The topic ‘wpcli compatibility’ is closed to new replies.